<script>
    import { calcStats } from '../lib/stats.js';

    export let statData;

    let promise = calcStats(statData);
    
</script>

<h2>Time to empty</h2>
{#await promise}
    <p>...waiting</p>
{:then stats}
    <h1>
        {stats.dte} days
    </h1>
{:catch error}
    <p style="color: red">{error.message}</p>
{/await}

<style>
    h1 {
        color: #40b3ff;
    }
</style>